VisualEditor: Allow users to set/edit #REDIRECT status in the page metadata panel
Closed, ResolvedPublic

Description

See bug 45808 for the corresponding Parsoid bug.

Currently editing a redirected page (say "OLPC") causes the following Bad Things to happen.

a) the edited page content is saved back to "OLPC", overwriting the original #REDIRECT

b) the page content is from "One Laptop Per Child", but with an added {{Redirect:OLPC}} template at the top; this extra template gets saved back with the rest of the edits.

In bug 45808, Parsoid will return a special <meta> or <link> tag in the body for redirected pages. This bug is for the corresponding VE support to recognize that tag and provide a user-friendly interface for editing redirects.


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=47329

bzimport set Reference to bz47328.
cscott created this task.Via LegacyApr 17 2013, 6:25 PM
Jdforrester-WMF added a comment.Via ConduitApr 17 2013, 6:50 PM

This is probably a post-July task; have split off a "don't fail horribly" bug as bug 47329, linked.

cscott added a comment.Via ConduitApr 17 2013, 7:11 PM

There's now a spec for redirects in the DOM: http://www.mediawiki.org/wiki/Parsoid/MediaWiki_DOM_spec#Redirects

Jdforrester-WMF added a comment.Via ConduitMay 17 2013, 6:27 AM

Some quick advice on this one:

  • There'll need to be code in DM and UI; the code in Parsoid which it will interact with has just been merged into their master.
  • I'd suggest looking at how {{DEFAULTSORT}} works as a starting point - see https://gerrit.wikimedia.org/r/#/c/61374/ for the DM side.
  • On the UI side, you'd want to create a new panel in the meta-data dialog ("Page settings" is probably the best name, though that's also the display name of the dialog, but we can fiddle with that later) into which you'd put a checkbox with an associated text box for a page name, with auto-suggest (like the link inspector has).
Esanders added a comment.Via ConduitMay 17 2013, 11:26 AM

Redirect editing disabled by https://gerrit.wikimedia.org/r/64275, will need to be re-enabled when this bug is addressed.

Jdforrester-WMF added a comment.Via ConduitMay 17 2013, 4:03 PM

Assigning to Jiabao Wu as discussed on bug 48489 comment 4.

Whatamidoing-WMF added a comment.Via ConduitJul 2 2013, 9:05 AM

This is likely obvious to everyone, but: We need a way to create redirects in VisualEditor from redlinks.

VE is currently (02 July 2013) turned off for editing redirect pages at en.wikipedia.org. However, it's still possible to create these pages using VE, which end up nowiki-ed and broken.

Thryduulf added a comment.Via ConduitJul 2 2013, 6:55 PM

It is also possible to fail to convert a non-redirect page into a redirect (e.g following a merge).

gerritbot added a comment.Via ConduitNov 13 2013, 3:29 AM

Change 95103 had a related patch set uploaded by Jforrester:
[WIP] Let users set #REDIRECT, NOTOC, & FORCETOC

https://gerrit.wikimedia.org/r/95103

gerritbot added a comment.Via ConduitNov 13 2013, 8:17 PM

Change 95213 had a related patch set uploaded by Jforrester:
[WIP] Let users set #REDIRECT

https://gerrit.wikimedia.org/r/95213

gerritbot added a comment.Via ConduitFeb 14 2014, 3:46 AM

Change 95213 merged by jenkins-bot:
Let users set #REDIRECT and STATICREDIRECT status

https://gerrit.wikimedia.org/r/95213

MZMcBride added a comment.Via ConduitFeb 14 2014, 6:25 AM

(In reply to Gerrit Notification Bot from comment #10)

Neat! Is there documentation about this panel and/or a place to test it?

Mattflaschen removed a subscriber: Mattflaschen.Via WebDec 3 2014, 5:38 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.